%define upstream_name    Dist-Zilla-Plugin-Test-PAUSE-Permissions
%define upstream_version 0.003

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Generate a test to verify PAUSE permissions
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla)
BuildRequires: perl(Dist::Zilla::File::InMemory)
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(Dist::Zilla::Role::PrereqSource)
BuildRequires: perl(Dist::Zilla::Role::TextTemplate)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::pushd)
BuildRequires: perl(Module::Build::Tiny)
BuildRequires: perl(Moose)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Safe::Isa)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::PAUSE::Permissions)
BuildRequires: perl(if)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This is a the Dist::Zilla manpage plugin that runs at the
Dist::Zilla::Role::FileGatherer stage, providing a the
Test::PAUSE::Permissions manpage test, named
_xt/release/pause-permissions.t_).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes CONTRIBUTING INSTALL LICENCE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.3.0-4.mga9
+ Revision: 1803423
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.3.0-3.mga8
+ Revision: 1494407
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.3.0-2.mga7
+ Revision: 1267667
- Mageia 7 Mass Rebuild

* Mon May 09 2016 shlomif <shlomif> 0.3.0-1.mga6
+ Revision: 1011229
- imported package perl-Dist-Zilla-Plugin-Test-PAUSE-Permissions


* Mon May 09 2016 cpan2dist 0.003-1mga
- initial mageia release, generated with cpan2dist
